--[C6Mart].[PL_D_S178IndicatoriEsitoAdeguatezza] 'F', 'MTTSRA00H61D704A'
CREATE   procedure [C6Mart].[PL_D_S178IndicatoriEsitoAdeguatezza]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
------- PARTE FINTA DA ELIMINARE
--declare @flagProf varchar(1)
--select @flagProf = TipoConsulenza from c6mart.vContratti where Rete = @Rete and Cod_Fiscale = @CodiceFiscale
--		update  a 
--		set  TI_Adeguato = '1', TI_Descrizione = 'Il livello di concentrazione degli emittenti presenti nel suo  portafoglio è ADEGUATO in quanto tutti gli emittenti sono presenti in misura inferiore rispetto ai limiti stabiliti dalla Banca.'
--		from #TABELLAINDICATORI a 
--		where TI_Ordine = 3;
--		update  a 
--		set  TI_Adeguato = '1', TI_Descrizione = 'La complessità dei singoli strumenti detenuti nel suo portafoglio è ADEGUATA in quanto coerente con il suo livello di esperienza e conoscenza in materia di  investimenti.'
--		from #TABELLAINDICATORI a 
--		where TI_Ordine = 4;
--		update  a 
--		set  TI_Adeguato = '1', TI_Descrizione = 'Il livello di concentrazione di prodotti complessi nel suo portafoglio è ADEGUATO in quanto inferiore al limite massimo stabilito dalla Banca e coerente rispetto al patrimonio minimo di portafoglio amministrato.'
--		from #TABELLAINDICATORI a 
--		where TI_Ordine = 5;
--		update  a 
--		set  TI_Adeguato = '1', TI_Descrizione = 'Il numero delle operazioni effettuate è ADEGUATO in quanto inferiore rispetto ai limiti stabiliti dalla Banca in base all’entità del portafoglio amministrato e al suo livello di esperienza e conoscenza in materia d’investimenti.'
--		from #TABELLAINDICATORI a 
--		where TI_Ordine = 6;
--		update  a 
--		set  TI_Adeguato = '1', TI_Descrizione = 'Le caratteristiche di durata e liquidità dei prodotti presenti nel suo portafoglio sono ADEGUATE in quanto coerenti con la ripartizione del patrimonio negli orizzonti temporali indicata nel questionario di profilatura.'
--		from #TABELLAINDICATORI a 
--		where TI_Ordine = 7;
--if @flagProf = 'P'
--	begin
--		select 
--		ti_ordine as Ordine,
--		ti_indicatore as Indicatore,
--		ti_adeguato as Adeguato,
--		ti_descrizione as DescrizioneEsito
--		from  #TABELLAINDICATORI
--		where ti_ordine in (1, 2, 3, 7)
--	end
--else
--	begin
--		select 
--		ti_ordine as Ordine,
--		ti_indicatore as Indicatore,
--		ti_adeguato as Adeguato,
--		ti_descrizione as DescrizioneEsito
--		from  #TABELLAINDICATORI
--	end
	declare @flagProf varchar(1)
	select @flagProf = TipoConsulenza from c6mart.vContratti where Rete = @Rete and Cod_Fiscale = @CodiceFiscale
	select *
	into #res
	from (
			select
				1 as Ordine,
				'Rischio' as Indicatore,
				convert(varchar(5), RM_ADEGUATEZZA_INDICATORE) as Adeguato,
				RM_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			 union
			 select
				2 as Ordine,
				'Riserva' as Indicatore,
				convert(varchar(5), RS_ADEGUATEZZA_INDICATORE) as Adeguato,
				RS_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			 union
			 select
				3 as Ordine,
				'Investimento di Lungo Periodo' as Indicatore,
				convert(varchar(5), TH_ADEGUATEZZA_INDICATORE) as Adeguato,
				TH_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			 union
			 select
				4 as Ordine,
				'Complessità' as Indicatore,
				convert(varchar(5), CM_ADEGUATEZZA_INDICATORE) as Adeguato,
				CM_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			union
			 select
				5 as Ordine,
				'Concentrazione in prodotti complessi' as Indicatore,
				convert(varchar(5), CC_ADEGUATEZZA_INDICATORE) as Adeguato,
				CC_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			union
			 select
				6 as Ordine,
				'Frequenza delle operazioni' as Indicatore,
				convert(varchar(5), FQ_ADEGUATEZZA_INDICATORE) as Adeguato,
				FQ_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			union
			 select
				7 as Ordine,
				'Concentrazione Emittenti' as Indicatore,
				convert(varchar(5), CE_ADEGUATEZZA_INDICATORE) as Adeguato,
				CE_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
			 		union
			 select
				8 as Ordine,
				'Concentrazione Valutaria' as Indicatore,
				convert(varchar(5), CV_ADEGUATEZZA_INDICATORE) as Adeguato,
				CV_ADEGUATEZZA_DESCRIZIONE as DescrizioneEsito
			 from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI]
			 where Rete = @Rete and Codice_Fiscale = @CodiceFiscale
		) a
		if @flagProf = 'P'
			select * from #res where ordine in (1, 2, 3)
		else
			select * from #res
		--drop table #res
END